<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Miksah Calculator</title>
    <link rel="icon shortcut" href="favicon.ico" type="image/x-icon" />
    <style>
      .titlebar {
        height: 30px;
        background: #329ea3;
        user-select: none;
        display: flex;
        justify-content: flex-end;
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
      }
      .titlebar-button {
        display: inline-flex;
        justify-content: center;
        align-items: center;
        width: 30px;
        height: 30px;
      }
      .titlebar-button:hover {
        background: #5bbec3;
      }
    </style>
  </head>
  <body>
    <div data-tauri-drag-region class="titlebar">
      <div class="titlebar-button" id="titlebar-minimize">
        <img src="https://api.iconify.design/mdi:window-minimize.svg" alt="minimize" />
      </div>
      <div class="titlebar-button" id="titlebar-maximize">
        <img src="https://api.iconify.design/mdi:window-maximize.svg" alt="maximize" />
      </div>
      <div class="titlebar-button" id="titlebar-close">
        <img src="https://api.iconify.design/mdi:close.svg" alt="close" />
      </div>
    </div>
    <div id="app"></div>
    <script>
      import { appWindow } from '@tauri-apps/api/window';
      document.getElementById('titlebar-minimize').addEventListener('click', () => appWindow.minimize());
      document.getElementById('titlebar-maximize').addEventListener('click', () => appWindow.toggleMaximize());
      document.getElementById('titlebar-close').addEventListener('click', () => appWindow.close());
      db = {
        monitors: {
          other: []
        },
        windows: {}
      }
      appWindow.availableMonitors().then(monitors => {
        appWindow.currentMonitor().then(monitor => db.monitors.main = monitor);
        monitors.forEach(monitor => {
          let p = monitor.position;
          if (!(p.x == 0 && p.y == 0)) {
            db.monitors.other.push(monitor);
          }
        }).then(() => {
          if (db.monitors.other.length > 0) {
            db.monitors.presenter = db.monitors.other[0];
            db.monitors.other.shift();
            db.windows.presenter = new WebviewWindow('Pala Presenter - Audience', {
              url: './presenter.html',
              alwaysOnTop: true,
              decorations: false,
              fullscreen: true,
              maximized: true,
              resizable: false,
              skipTaskbar: true,
              title: "Pala Presenter - Audience",
              visible: true,
              width: db.monitors.presenter.size.width,
              height: db.monitors.presenter.size.height
            })
          } else {
            window.alert("Only 1 monitor detected!\nYou won't be able to present anything without a second monitor, but you can still use Pala to set up for a later time.")
          }
        });
      })
    </script>
    <script type="module" src="/src/index.js"></script>
  </body>
</html>
